### DbSequence::close

`

###

    #include <db_cxx.h>

    int
    DbSequence::close(u_int32_t flags);

### Description: DbSequence::close

The DbSequence::close method closes the sequence handle. Any unused cached values are lost.

The DbSequence handle may not be accessed again after DbSequence::close is called, regardless of its return.

The DbSequence::close method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

flags
  The flags parameter is currently unused, and must be set to 0.

### Errors

The DbSequence::close method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Class

DbSequence

### See Also

Sequences and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.